Package ru.bitel.bgbilling.modules.inet.server.bean

# Class DataProcessRecordDao

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.common.dao.AbstractDao<DataProcessRecord>
ru.bitel.bgbilling.common.dao.AbstractIdDao<DataProcessRecord>
ru.bitel.bgbilling.modules.inet.server.bean.DataProcessRecordDao

public class DataProcessRecordDao extends ru.bitel.bgbilling.common.dao.AbstractIdDao<DataProcessRecord>

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `orderByPattern`

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DataProcessRecordDao(Connection con, int moduleId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `delete(int deviceId, List<Date> hours, int type)`
  `protected String`
  `getDeviceHoursFilterAndParams(int deviceId, List<Date> days, Object[] params, int type)`
  `protected DataProcessRecord`
  `getFromRS(ResultSet rs)`
  `List<DataProcessRecord>`
  `list(int deviceId, Date dateFrom, Date dateTo, int type)`
  `List<DataProcessRecord>`
  `list(int deviceId, List<Date> days, int type)`
  `List<DataProcessRecord>`
  `list(int type, Set<Integer> deviceIds)`
  `List<DataProcessRecord>`
  `list(Set<Integer> deviceIds)`
  `protected void`
  `updateImpl(DataProcessRecord dataProcessRecord)`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractIdDao

  `delete, executeUpdate, get, getAndDelete, getAndUpdate, opt, prepareStatement, sqlCommand, sqlCommandAndTable, sqlQuery, sqlWhereId`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, list, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, psSetPeriod, queryPeriod, setStatementParam, update`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getSQLOrder, getTableName, psSetDate, psSetInt, psSetString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DataProcessRecordDao

    public DataProcessRecordDao(Connection con, int moduleId)

- ## Method Details

  - ### getFromRS

    protected DataProcessRecord getFromRS(ResultSet rs) throws SQLException
    Specified by:
      `getFromRS` in class `ru.bitel.bgbilling.common.dao.AbstractDao<DataProcessRecord>`
    Throws:
      `SQLException`

  - ### updateImpl

    protected void updateImpl(DataProcessRecord dataProcessRecord) throws SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.bgbilling.common.dao.AbstractDao<DataProcessRecord>`
    Throws:
      `SQLException`

  - ### list

    public List<DataProcessRecord> list(int type, Set<Integer> deviceIds) throws SQLException
    Throws:
      `SQLException`

  - ### list

    public List<DataProcessRecord> list(Set<Integer> deviceIds) throws SQLException
    Throws:
      `SQLException`

  - ### list

    public List<DataProcessRecord> list(int deviceId, Date dateFrom, Date dateTo, int type) throws SQLException
    Throws:
      `SQLException`

  - ### list

    public List<DataProcessRecord> list(int deviceId, List<Date> days, int type) throws SQLException
    Throws:
      `SQLException`

  - ### delete

    public void delete(int deviceId, List<Date> hours, int type) throws Exception
    Throws:
      `Exception`

  - ### getDeviceHoursFilterAndParams

    protected String getDeviceHoursFilterAndParams(int deviceId, List<Date> days, Object[] params, int type)